import { Request } from "express";
import { Session } from "../models/session";

export async function sessionProtection(req: Request, res: any, next: any) {
  const xAuthorization = req.get("x-authorization");

  if (!xAuthorization) {
    return res.status(401).json({ status: "err" });
  }

  const session = await Session.findOne({ sessionId: xAuthorization }).lean();

  if (!session) {
    return res.status(401).json({ status: "err" });
  }

  next();
}
