import mongoose, { InferSchemaType, Schema } from "mongoose";
import { DEFAULT_SESSION_EXPIRATION } from "../utils/constants";

export const sessionSchema = new Schema({
  sessionId: String,
  accountName: String,
  expiresAt: {
    type: Date,
    default: new Date(Date.now() + DEFAULT_SESSION_EXPIRATION),
  },
});

export type Session = InferSchemaType<typeof sessionSchema>;

export const Session = mongoose.model<Session>("Session", sessionSchema);
