import mongoose, { InferSchemaType, Schema } from "mongoose";

export const userSchema = new Schema({
  accountName: String,
  username: String,
  password: String,
  followers: {
    type: Number,
    default: 0,
  },
  following: {
    type: Number,
    default: 0,
  },
  visited: {
    type: Number,
    default: 0,
  },
});

export type User = InferSchemaType<typeof userSchema>;

export const User = mongoose.model<User>("User", userSchema);
